### Hierarchy

- unknown
  - GetPeersResponse

## Index

### Constructors

- constructor

### Methods

- addReportedPeers
- addSupportedCapabilities
- clearReportedPeersList
- clearSupportedCapabilitiesList
- getReportedPeersList
- getRequestNonce
- getSupportedCapabilitiesList
- serializeBinary
- setReportedPeersList
- setRequestNonce
- setSupportedCapabilitiesList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetPeersResponse(): GetPeersResponse

- Inherited from jspb.Message.constructor

  #### Returns GetPeersResponse

## Methods

### addReportedPeers

- addReportedPeers(value?: Peer, index?: number): Peer

- - Defined in src/protobuf/pb_pb.d.ts:522

  #### Parameters

  - ##### Optional value: Peer

  - ##### Optional index: number

  #### Returns Peer

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:527

  #### Parameters

  - ##### value: number

  - ##### Optional index: number

  #### Returns GetPeersResponse

### clearReportedPeersList

- clearReportedPeersList(): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:521

  #### Returns GetPeersResponse

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:526

  #### Returns GetPeersResponse

### getReportedPeersList

- getReportedPeersList(): Peer []

- - Defined in src/protobuf/pb_pb.d.ts:519

  #### Returns Peer []

### getRequestNonce

- getRequestNonce(): number

- - Defined in src/protobuf/pb_pb.d.ts:516

  #### Returns number

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- - Defined in src/protobuf/pb_pb.d.ts:524

  #### Returns number[]

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:529

  #### Returns Uint8Array

### setReportedPeersList

- setReportedPeersList(value: Peer []): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:520

  #### Parameters

  - ##### value: Peer []

  #### Returns GetPeersResponse

### setRequestNonce

- setRequestNonce(value: number): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:517

  #### Parameters

  - ##### value: number

  #### Returns GetPeersResponse

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:525

  #### Parameters

  - ##### value: number[]

  #### Returns GetPeersResponse

### toObject

- toObject(includeInstance?: boolean): GetPeersResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:530

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetPeersResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:533

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPeersResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPeersResponse, reader: BinaryReader): GetPeersResponse

- - Defined in src/protobuf/pb_pb.d.ts:534

  #### Parameters

  - ##### message: GetPeersResponse

  - ##### reader: BinaryReader

  #### Returns GetPeersResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPeersResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:532

  #### Parameters

  - ##### message: GetPeersResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetPeersResponse ): GetPeersResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:531

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPeersResponse

  #### Returns GetPeersResponse . AsObject

Generated using TypeDoc